Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 621814 - Allow complete RHTS compatibility
Allow complete RHTS compatibility
Status: CLOSED CURRENTRELEASE
Product: Beaker
Classification: Community
Component: beah (Show other bugs)
0.5
All Linux
high Severity medium (vote)
: ---
: ---
Assigned To: Marian Csontos
:
Depends On: 645769
Blocks: 614974 621809 632609
  Show dependency treegraph
 
Reported: 2010-08-06 03:48 EDT by Marian Csontos
Modified: 2011-09-28 11:35 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-27 22:02:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marian Csontos 2010-08-06 03:48:51 EDT
Problem:

Some tests are stubborn and refuse to run from wrapper, e.g. tcsh test suite. See Bug 598895.

Resolution:

Instead of fighting them individually, provide environment as close as possible to original.

This will also provide a script with all env.variables required by the test.
Comment 1 Marian Csontos 2010-08-06 03:51:49 EDT
Not 598895 but Bug 607994#c3 re: /CoreOS/tcsh/Sanity/upstream
Comment 2 Marian Csontos 2010-10-22 08:54:20 EDT
Also the tcsh test suite is working well with this tweak. See https://beaker.engineering.redhat.com/recipes/49765.

The last run is with compatibility mode. The last but one is without it.

Going on with testing.
Comment 3 Marian Csontos 2010-10-25 09:08:55 EDT
This works and fixed the reported compatibility issues I was aware of.
Comment 5 Marian Csontos 2010-10-26 03:57:21 EDT
FYI, this requires to pass param

  <param name="RHTS_OPTION_COMPATIBLE" value="yes"/>

to tasks to run in compatible mode. Bug 645769 should remove this necessity.

Note You need to log in before you can comment on or make changes to this bug.